/*
	A basic extension of the java.awt.Dialog class
 */

import java.awt.*;
import gui.GuiSerializerButton;

public class ShowDialog extends Dialog
{
	public ShowDialog(Frame parent)
	{
		super(parent);

		// This code is automatically generated by Visual Cafe when you add
		// components to the visual environment. It instantiates and initializes
		// the components. To modify the code, only use code syntax that matches
		// what Visual Cafe can generate, or Visual Cafe may be unable to back
		// parse your Java file into its visual environment.
		//{{INIT_CONTROLS
		setLayout(null);
		setBackground(java.awt.Color.lightGray);
		setSize(384,144);
		setVisible(false);
		lblFullName.setText("Full Name:");
		add(lblFullName);
		lblFullName.setBounds(24,36,72,24);
		txtFullName.setEditable(false);
		add(txtFullName);
		txtFullName.setBounds(120,36,240,27);
		btnClose.setLabel("Close");
		add(btnClose);
		btnClose.setBackground(java.awt.Color.lightGray);
		btnClose.setBounds(156,96,72,24);
		add(guiSerializerButton);
		guiSerializerButton.setBounds(12,96,72,24);
		setTitle("Full Name Display");
		setResizable(false);
		//}}
		
		// Workaround for Visual Cafe V3.0c bug.
		txtFullName.setName("txtFullName");
		btnClose.setName("btnClose");

		//{{REGISTER_LISTENERS
		SymWindow aSymWindow = new SymWindow();
		this.addWindowListener(aSymWindow);
		//}}
	}
	
	public ShowDialog(Frame parent, boolean modal)
	{
		this(parent);
        setModal(modal);
	}
	
	public void addNotify()
	{
  	    // Record the size of the window prior to calling parents addNotify.
	    Dimension d = getSize();

		super.addNotify();

		if (fComponentsAdjusted)
			return;

		// Adjust components according to the insets
		Insets insets = getInsets();
		setSize(insets.left + insets.right + d.width, insets.top + insets.bottom + d.height);
		Component components[] = getComponents();
		for (int i = 0; i < components.length; i++)
		{
			Point p = components[i].getLocation();
			p.translate(insets.left, insets.top);
			components[i].setLocation(p);
		}
		fComponentsAdjusted = true;
	}

    // Used for addNotify check.
	boolean fComponentsAdjusted = false;


	public ShowDialog(Frame parent, String title, boolean modal)
	{
		this(parent, modal);
		setTitle(title);
	}

	static public void main(String args[])
	{
		new ShowDialog(new Frame()).setVisible(true);
	}

	//{{DECLARE_CONTROLS
	java.awt.Label lblFullName = new java.awt.Label();
	java.awt.TextField txtFullName = new java.awt.TextField();
	java.awt.Button btnClose = new java.awt.Button();
	gui.GuiSerializerButton guiSerializerButton = new gui.GuiSerializerButton();
	//}}

	class SymWindow extends java.awt.event.WindowAdapter
	{
		public void windowClosing(java.awt.event.WindowEvent event)
		{
			Object object = event.getSource();
			if (object == ShowDialog.this)
				ShowDialog_WindowClosing(event);
		}
	}
	
	void ShowDialog_WindowClosing(java.awt.event.WindowEvent event)
	{
		setVisible(false);
	}
}
