/**
 * @(#)GuiSerializerButtonCustomizer.java
 *
 * This file belongs to the Tools and Materials Application Framework for Java.
 * Read file $JWAM/doc/Copyright about permission to use. This file may only be used
 * and distributed together with the copyright file.
 *
 * @history
 * @modification v0.10, 97/08/01, Martin Lippert
 *  Coding
 * @modification v0.11, 98/03/30, Martin Lippert
 *  Package-Umbenennung nach JWAM1.1 eingepflegt
 * @modification 99/07/10, Bernhard Fischer
 *  comments added
 */

package gui;

import java.awt.Button;
import java.awt.Panel;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import java.beans.Customizer;
import java.beans.PropertyChangeListener;


/**
 * This class provides a complete custom GUI for customizing a GuiSerializerButton Java Bean. 
 *
 * @version 99/07/10
 * @author Martin Lippert
 * @see GuiSerializerButton
 */
public class GuiSerializerButtonCustomizer extends Panel implements Customizer
{
    /**
     * @serial
     */
	protected GuiSerializerButton guiSerializerButton;

    /**
     * Creates a component for customizing a GuiSerializerButton Java Bean.
     */
	public GuiSerializerButtonCustomizer() {
		Button btnSerialize = new Button("Serialize...");
		btnSerialize.addActionListener(new ActionListener() {
	            public void actionPerformed(ActionEvent e) {
	                guiSerializerButton.saveComponent();
	            }
		});
		add(btnSerialize);
	}

    /**
     * Set the object to be customized. This method should be called only once,
     * before the Customizer has been added to any parent AWT container.
     *
     * @param bean  The object to be customized.
     */
	public void setObject(Object bean) {
		guiSerializerButton = (GuiSerializerButton)bean;
	}

    /**
     * Register a listener for the PropertyChange event. The customizer should fire
     * a PropertyChange event whenever it changes the target bean in a way that might
     * require the displayed properties to be refreshed.
     *
     * @param listener  An object to be invoked when a PropertyChange event is fired.
     */
	public void addPropertyChangeListener(PropertyChangeListener listener) {
	}
	
    /**
     * Remove a listener for the PropertyChange event.
     *
     * @param listener  The PropertyChange listener to be removed.
     */
	public void removePropertyChangeListener(PropertyChangeListener listener) {
	}
}
